namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 参与附加评估标准配置")]
[Table("SubjectCriteriaEvaluation")]
public class SubjectCriteriaEvaluation : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Subject subject { get; set; }

    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }

    #endregion
    public Guid SubjectId { get; set; }

    public Guid TrialReadingCriterionId { get; set; }

    [Comment("是否参与评估")]
    public bool IsJoinEvaluation { get; set; }
}
